
Name:		minetest
Version:	0.4.3
Release:	%mkrel 3.1
Summary:	An InfiniMiner/Minecraft inspired game
Summary(fr_FR):	Un jeu inspiré de InfiniMiner/Minecraft
Group:		Games/Other
License:	GPLv2+
URL:		http://celeron.55.lt/minetest/
# re-pack to get rid of ugly directory names
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}_game-%{version}.tar.gz
Patch0:		minetest-0.4.3-jthread.patch
BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	irrlicht-devel
BuildRequires:	jpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(jthread)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(x11)

%description
One of the first InfiniMiner/Minecraft inspired games with a goal of taking
the survival multiplayer gameplay to a slightly different direction.

This game is under development, and as of now, the game does not really
differ from Minecraft except for having a lot less features. Still, playing
is quite fun already, especially for people who have not been able to
experience Minecraft.

%description -l fr_FR
Un des premiers jeux inspirés de InfiniMiner/Minecraft avec un objectif de 
prendre le jeu multijoueur de survie vers une direction légèrement différente.

Ce jeu est en développement, et à partir de maintenant, le jeu n'a pas vraiment
différer de Minecraft, sauf pour avoir beaucoup moins de fonctionnalités.
Pourtant, le jeu est très amusant déjà, surtout pour les personnes qui n'ont 
pas eut l'expérience de Minecraft.

%prep
%setup -q -a 1 
%apply_patches

%build
%cmake -DRUN_IN_PLACE=0 -DCUSTOM_BINDIR:STRING=%{_gamesbindir} -DCUSTOM_SHAREDIR:STRING=%{_gamesdatadir}/%{name} -DCMAKE_BUILD_TYPE:STRING=release -DENABLE_GETTEXT:BOOL=ON -DJTHREAD_INCLUDE_DIR=%{_includedir}/jthread
%make 

%install
%makeinstall_std -C build
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/games/%{name}_game
cp -r %{name}_game-%{version}/* %{buildroot}%{_gamesdatadir}/%{name}/games/%{name}_game

%find_lang %{name}

%files -f %{name}.lang
%doc doc/*.txt
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}server
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}-icon.svg
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}server.6*


%changelog

* Wed May 15 2013 david.david (MLO Team) <david.david> 0.4.3-3.1.mga2
+ Rebuild package for Mageia 2 (Core)
- imported package from Mageia 3
- version: 0.4.3

* Sat Jan 12 2013 umeabot <umeabot> 0.4.3-3.mga3
+ Revision: 360093
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dams <dams> 0.4.3-2.mga3
+ Revision: 293095
- do not use embedded jthread anymore (+ patch from Mandriva to fix build)

* Mon Sep 10 2012 dams <dams> 0.4.3-1.mga3
+ Revision: 291962
- add a patch to fix build of jthread (embedded): pthread needed
- new version 0.4.3
- clean specfile
- remove useless patch
- update %%cmake options
- imported package minetest

